# Drive API . children

## Instance Methods

Removes a child from a folder.

Gets a specific child reference.

Inserts a file into a folder.

Lists a folder's children.

Retrieves the next page of results.

### Method Details

`delete(folderId, childId)`

    Removes a child from a folder.

    Args:
      folderId: string, The ID of the folder. (required)
      childId: string, The ID of the child. (required)

`get(folderId, childId)`

    Gets a specific child reference.

    Args:
      folderId: string, The ID of the folder. (required)
      childId: string, The ID of the child. (required)

    Returns:
      An object of the form:

        { # A reference to a folder's child.
          "kind": "drive#childReference", # This is always drive#childReference.
          "childLink": "A String", # A link to the child.
          "id": "A String", # The ID of the child.
          "selfLink": "A String", # A link back to this reference.
        }

`insert(folderId, body)`

    Inserts a file into a folder.

    Args:
      folderId: string, The ID of the folder. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A reference to a folder's child.
        "kind": "drive#childReference", # This is always drive#childReference.
        "childLink": "A String", # A link to the child.
        "id": "A String", # The ID of the child.
        "selfLink": "A String", # A link back to this reference.
      }

    Returns:
      An object of the form:

        { # A reference to a folder's child.
          "kind": "drive#childReference", # This is always drive#childReference.
          "childLink": "A String", # A link to the child.
          "id": "A String", # The ID of the child.
          "selfLink": "A String", # A link back to this reference.
        }

`list(folderId, orderBy=None, q=None, pageToken=None, maxResults=None)`

    Lists a folder's children.

    Args:
      folderId: string, The ID of the folder. (required)
      orderBy: string, A comma-separated list of sort keys. Valid keys are 'createdDate', 'folder', 'lastViewedByMeDate', 'modifiedByMeDate', 'modifiedDate', 'quotaBytesUsed', 'recency', 'sharedWithMeDate', 'starred', and 'title'. Each key sorts ascending by default, but may be reversed with the 'desc' modifier. Example usage: ?orderBy=folder,modifiedDate desc,title. Please note that there is a current limitation for users with approximately one million files in which the requested sort order is ignored.
      q: string, Query string for searching children.
      pageToken: string, Page token for children.
      maxResults: integer, Maximum number of children to return.

    Returns:
      An object of the form:

        { # A list of children of a file.
        "nextPageToken": "A String", # The page token for the next page of children.
        "kind": "drive#childList", # This is always drive#childList.
        "items": [ # The actual list of children.
          { # A reference to a folder's child.
              "kind": "drive#childReference", # This is always drive#childReference.
              "childLink": "A String", # A link to the child.
              "id": "A String", # The ID of the child.
              "selfLink": "A String", # A link back to this reference.
            },
        ],
        "nextLink": "A String", # A link to the next page of children.
        "etag": "A String", # The ETag of the list.
        "selfLink": "A String", # A link back to this list.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.